%define tarball xf86-video-amd
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

%define gitdate 20071019

Summary:   Xorg X11 AMD Geode video driver
Name:      xorg-x11-drv-amd
Version:   0.0
Release:   30.%{gitdate}%{?dist}
URL:       http://dev.laptop.org/xf86-amd-devel
Source0:   xf86-video-amd-0.0-git%{gitdate}.tar.bz2
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86}

BuildRequires: pkgconfig
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc >= 3.4.0
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901
#bernie: should be a dependency of xorg-x11-server-sdk
BuildRequires: pixman-devel
BuildRequires: xorg-x11-proto-devel

Requires:  xorg-x11-server-Xorg >= 1.1.0

Patch0: lx-disable-compression.patch
#Patch1: amd_drv-convert-to-libpciaccess.patch

%description 
X.Org X11 AMD Geode video driver.

%prep
%setup -q -n %{tarball}-2.7.6.5
%patch0 -p1 -b .jx
#%patch1 -p1 -b .pci

# remind myself to do snapshots properly
if [ -e %{tarball}/.git ] ; then
    echo Please refrain from including the .git directory.
    exit 1
fi

%build
%ifarch geode
build_CFLAGS=-march=geode
%endif
CFLAGS=$build_CFLAGS %configure --disable-static --libdir=%{_libdir} --mandir=%{_mandir} \
	--enable-visibility
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/amd_drv.so
%{driverdir}/ztv_drv.so

%changelog
* Tue Dec 12 2007 Bernardo Innocenti <bernie@codewiz.org>  0.0-30.20071019
- Rebuild

* Sat Nov 24 2007 Bernardo Innocenti <bernie@codewiz.org>  0.0-29.20071019
- Rebuilt against OLPC X server.
- Drop FC5 support.

* Fri Oct 19 2007 Bernardo Innocenti <bernie@codewiz.org>  0.0-28.20071019
- Rebuilt against OLPC X server.

* Fri Oct 19 2007 Bernardo Innocenti <bernie@codewiz.org>  0.0-27.20071019
- Fix dlo#2127: resized xv imagesink windows sometimes don't scale the video inside of them 

* Sun Sep 30 2007 Bernardo Innocenti <bernie@codewiz.org> 0.0-25.20070918
- Rebuilt for Xserver 1.4
- Add experimental support for geode arch

* Tue Sep 18 2007 Dan Williams <dcbw@redhat.com> 0.0-24.20070918
- New snapshot; disable EXA pixmap upload and download acceleration to
    work around segfault of the X server in certain situations (#3352)

* Tue Aug  7 2007 Dan Williams <dcbw@redhat.com> 0.0-23.20070807
- Fix GX RGB overlay

* Wed Jul 18 2007 Dan Williams <dcbw@redhat.com> 0.0-23.20070718
- Get current framebuffer size from kernel framebuffer driver

* Thu Jul 12 2007 Dan Williams <dcbw@rehdat.com> 0.0-23.20070711
- Temporary hack for the font color corruption problem

* Wed Jul 11 2007 Dan Williams <dcbw@redhat.com> 0.0-22.20070711
- Fix display power management and dcon bugs

* Fri Jul  6 2007 Dan Williams <dcbw@redhat.com> 0.0-22.20070706
- Fix GTK drawing with GX acceleration (laptop.org #1869)

* Thu Jul  5 2007 Dan Williams <dcbw@redhat.com> 0.0-22.20070705
- Handle the LX video palette correctly
- Remove upstreamed LX downscaling fix patch

* Wed Jun 25 2007 Dan Williams <dcbw@redhat.com> 0.0-22.20070625
- Udpate to git snapshot
   - Fix downscaling on the LX
   - cairo 1.4.4 and Xorg 1.3 fixes

* Wed Jun 13 2007 Dan Williams <dcbw@redhat.com> 0.0-21.20070613
- Udpate to git snapshot

* Mon May 07 2007 Dan Williams <dcbw@redhat.com> 0.0-21.20070504
- Cleanups and fixes from -Wall

* Fri May 04 2007 Dan Williams <dcbw@redhat.com> 0.0-20.20070504
- Better OOM handling
- RandR fixes

* Thu May 03 2007 Dan Williams <dcbw@redhat.com> 0.0-19.20070503
- Fix QueryImageAttributes handler for GX
- Get correct prototype for memset/memcpy

* Thu May 03 2007 Dan Williams <dcbw@redhat.com> 0.0-18.20070503
- VGA port fixes
- Fixes for Xv color key mode

* Fri Apr 27 2007 Adam Jackson <ajax@redhat.com> 0.0-17.20070427
- Fix alpha blending.

* Tue Apr 24 2007 Adam Jackson <ajax@redhat.com> 0.0-16.20070424
- Misc LX fixes.

* Thu Apr 19 2007 Adam Jackson <ajax@redhat.com> 0.0-15.20070418
- Disable compression on LX for now, it's busted.

* Wed Apr 18 2007 Adam Jackson <ajax@redhat.com> 0.0-14.20070418
- Geode LX branch work

* Sat Feb  3 2007 Dan Williams <dcbw@redhat.com> 0.0-13.20070203.olpc1
- Fix segfault when accel is disabled

* Tue Jan 16 2007 Adam Jackson <ajax@redhat.com> 0.0-13.20070116.olpc1
- Fix EXA setup.

* Mon Jan 15 2007 Adam Jackson <ajax@redhat.com> 0.0-12.20070115.olpc1
- More Xv fixes, mode sync wonkiness, distcheck fix.

* Thu Jan 11 2007 Adam Jackson <ajax@redhat.com> 0.0-11.20070111.olpc1
- Xv fixes, RANDR fixes, minor crash fix.

* Thu Jan 04 2007 Adam Jackson <ajax@redhat.com> 0.0-10.20070104.olpc1
- Pull from dev.laptop.org: RANDR support, misc cleanup.

* Thu Nov 9 2006 Adam Jackson <ajackson@redhat.com> 0.0-9.20061109git.olpc1
- Today's update: DCON support, etc.

* Mon Oct 16 2006 Adam Jackson <ajackson@redhat.com> 0.0-8.20061016git.fc7
- Today's snapshot: More Xv love.
- Add check for (and abort on existance of) .git directory in the work dir.

* Thu Oct 12 2006 Adam Jackson <ajackson@redhat.com> 0.0-7.20061012git.fc6
- Today's snapshot: Xv fixes.

* Fri Oct 6 2006 Adam Jackson <ajackson@redhat.com> 0.0-6.20060821git.fc6
- Add visibility fixes, and build with -fvisibility=hidden for size.

* Mon Aug 21 2006 Adam Jackson <ajackson@redhat.com> 0.0-5.20060821git.fc6
- Today's snapshot: EXA fixes.

* Wed Aug 16 2006 Adam Jackson <ajackson@redhat.com> 0.0-4.20060816git.fc6
- Un-reset the Release: number.

* Wed Aug 16 2006 Adam Jackson <ajackson@redhat.com> 0.0-1.20060816git.fc6
- git update: more Xv fixes.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-3.20060809git.fc6
- Fix FC5 Requires too.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-2.20060809git.fc6
- FC5 build fixes, mostly BuildRequires.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-1.20060809git.fc6
- git update: olpc dcon support, Xv fixes.
- Attempted support for building against FC5.

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 0.0-0.git20060706.fc6
- Initial spec (from -nsc) and git snapshot.
